pcl::gpu::kinfuLS::MarchingCubes Class Reference

MarchingCubes implements MarchingCubes functionality for TSDF volume on GPU. More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/marching_cubes.h>`

## Public Types

enum | { POINTS_PER_TRIANGLE = 3, DEFAULT_TRIANGLES_BUFFER_SIZE = 2 * 1000 * 1000 * POINTS_PER_TRIANGLE * 2 }
| Default size for triangles buffer. More...
typedef pcl::PointXYZ | PointType
| Point type. More...
typedef boost::shared_ptr< MarchingCubes > | Ptr
| Smart pointer. More...

## Public Member Functions

| MarchingCubes ()
| Default constructor. More...
| ~MarchingCubes ()
| Destructor. More...
DeviceArray< PointType > | run (const TsdfVolume &tsdf, DeviceArray< PointType > &triangles_buffer)
| Runs marching cubes triangulation. More...

## Detailed Description

MarchingCubes implements MarchingCubes functionality for TSDF volume on GPU.

Author
  Anatoly Baskeheev, Itseez Ltd, (mynam.nosp@m.e.my.nosp@m.surna.nosp@m.me@m.nosp@m.ycomp.nosp@m.any..nosp@m.com)

Definition at line 58 of file marching_cubes.h.

## Member Typedef Documentation

## PointType

typedef pcl::PointXYZ pcl::gpu::kinfuLS::MarchingCubes::PointType

Point type.

Definition at line 70 of file marching_cubes.h.

## Ptr

typedef boost::shared_ptr<MarchingCubes> pcl::gpu::kinfuLS::MarchingCubes::Ptr

Smart pointer.

Definition at line 73 of file marching_cubes.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Default size for triangles buffer.

Enumerator
POINTS_PER_TRIANGLE |
DEFAULT_TRIANGLES_BUFFER_SIZE |

Definition at line 63 of file marching_cubes.h.

## Constructor & Destructor Documentation

## MarchingCubes()

pcl::gpu::kinfuLS::MarchingCubes::MarchingCubes | ( |  | ) |

Default constructor.

## ~MarchingCubes()

pcl::gpu::kinfuLS::MarchingCubes::~MarchingCubes | ( |  | ) |

Destructor.

## Member Function Documentation

## run()

DeviceArray<PointType> pcl::gpu::kinfuLS::MarchingCubes::run | ( | const TsdfVolume & | tsdf,
|  | DeviceArray< PointType > & | triangles_buffer
| ) |  |

Runs marching cubes triangulation.

Parameters

  [in] | tsdf |
  [in] | triangles_buffer | Buffer for triangles. Its size determines max extracted triangles. If empty, it will be allocated with default size will be used.

Returns
  Array with triangles. Each 3 consequent poits belond to a single triangle. The returned array points to 'triangles_buffer' data.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/marching_cubes.h